<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.TFaUnionPieceMapper">
    <resultMap id="tFaUnionPieceMap" type="com.nantian.cloud.jljc.entity.TFaUnionPiece">
        <result property="id" column="id"/>
        <result property="unionPieceDate" column="union_piece_date"/>
        <result property="unionPieceMan" column="union_piece_man"/>
        <result property="projectId" column="project_id"/>
        <result property="delFlag" column="del_flag"/>
        <result property="userId" column="user_id"/>
        <result property="deptId" column="dept_id"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,union_piece_date,union_piece_man,project_id,del_flag,user_id,dept_id,update_time
    </sql>
    <select id="getPage" resultType="com.nantian.cloud.jljc.entity.TFaUnionPiece">
        select <include refid="Base_Column_List"></include>
        from t_fa_fixed_assets
        where del_flag = "1"
        <if test="query.unionPieceMan!=null and query.unionPieceMan!=''">
            and union_piece_man like concat("%",#{query.unionPieceMan},"%")
        </if>
    </select>
</mapper>
